summaryrefslogtreecommitdiff
path: root/app-portage/mirrorselect/mirrorselect-9999.ebuild
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-06-02 21:45:28 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-06-02 21:45:28 +0100
commit2018227e9344edb9da15fc6a4a8298086cc2aa77 (patch)
treec18e1c09e605e94e2a1e93345ad25746cc9e14b9 /app-portage/mirrorselect/mirrorselect-9999.ebuild
parent6f8038813c460b4f0572d5ef595cdfa94af3a94d (diff)
gentoo resync : 02.06.2019
Diffstat (limited to 'app-portage/mirrorselect/mirrorselect-9999.ebuild')
-rw-r--r--app-portage/mirrorselect/mirrorselect-9999.ebuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/app-portage/mirrorselect/mirrorselect-9999.ebuild b/app-portage/mirrorselect/mirrorselect-9999.ebuild
index 36964fd86606..de12fd9a5ea9 100644
--- a/app-portage/mirrorselect/mirrorselect-9999.ebuild
+++ b/app-portage/mirrorselect/mirrorselect-9999.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="5"
+EAPI="7"
-PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+PYTHON_COMPAT=( python3_{5,6,7} )
PYTHON_REQ_USE="xml"
inherit eutils distutils-r1 git-r3 prefix
@@ -22,18 +22,22 @@ KEYWORDS=""
RDEPEND="
dev-util/dialog
- net-analyzer/netselect
+ >=net-analyzer/netselect-0.4[ipv6(+)]
=dev-python/ssl-fetch-9999[${PYTHON_USEDEP}]
"
python_prepare_all() {
- python_export_best
+ python_setup
eprefixify setup.py mirrorselect/main.py
echo Now setting version... VERSION="9999-${EGIT_VERSION}" "${PYTHON}" setup.py set_version
VERSION="9999-${EGIT_VERSION}" "${PYTHON}" setup.py set_version || die "setup.py set_version failed"
distutils-r1_python_prepare_all
}
+python_test() {
+ esetup.py test || die "tests failed under ${EPYTHON}"
+}
+
pkg_postinst() {
distutils-r1_pkg_postinst